-- here are some constants you can cange to customize euWaveEdit
-- WARNING: setting inappropriate values for some of these may cause
-- euWaveEdit to crash or do wierd things.

global constant
BITS_PRESETS = {8, 16, 24},
BITS_PRESETS_STRINGS = {"8", "16", "24"},
SPS_PRESETS = {8000, 11025, 12000, 16000, 22050, 24000, 32000, 44100, 48000, 64000, 96000, 192000},
SPS_PRESETS_STRINGS = {"8000", "11025", "12000", "16000", "22050", "24000", "32000", "44100", "48000", "64000", "96000", "192000"},
CHANNELS_PRESETS = {1, 2, 4, 5, 6},
CHANNELS_PRESETS_STRINGS = {"1", "2", "4", "5", "6"}

global constant ZOOM_PRESETS = {1, 10, 50}
global constant DEFAULT_SCALE = 10 -- set the zoom to 1:10

-- can be any value between 0 and 1
global constant DEFAULT_NORMALIZE_LEVEL = 1

-- colors (you can use rgb() to get custom colors)
global constant select_color = Cyan,
                                unselect_color = White,
                                sep_line_color = White,
                                center_line_color = Black
global constant bg_color = BrightWhite
global constant wave_colors = {BrightRed, BrightBlue}

-- width of channel selection buttons, in pixels
global constant CS_BUTTON_WIDTH = 14

global constant
GLOBAL_MAX_UNDOS = 2,  -- the number of times you can undo
FILE_MAX_UNDOS = 1,    -- number of undos per file
CLEAR_UNDO_ON_SAVE = True
-- the above constants determine the maximum number of times you can undo.
-- It is limited to 1 per file and 2 globally for memory reasons.
-- Feel free to increase these (will slow the program down dramatically
-- when working with big files)

